var CFG_ServidorNFS;
var DEF_ServidorNFS = "";
var iOpcionServidorNFS;

function Pag_Recurso_ServidorNFS_Show(iOpc) {
	iOpcionServidorNFS = iOpc;
	CFG_ServidorNFS = "cfg.ServidorPC" + (iOpcionRecurso+1)/2; //Sólo llega 1,3,5 o 7
	Pag_Recurso_Show();
	//document.getElementById("Pag_Recurso").style.backgroundImage = "url(fondo_completo.png)";
	document.getElementById("Pag_Recurso_Form").innerHTML = 
		 '<table width="390px" height="455px" cellpadding="10" cellspacing="10" style="table-layout: fixed; background-image: url(fondo_frame.png); background-repeat: no-repeat;">'
		+'	<tr height="20px"><td width="310px"/></tr>'
		+'	<tr height="33px"><td width="310px" class="font15">Introduzca el servidor remoto NFS para usar en la carpeta seleccionada</td></tr>'
		+'	<tr height="33px" align="top"><td width="310px" id="Pag_Recurso_ServidorNFS_Valor" style="background-position: 0px 5px; background-image: url(cursor_datos.png); background-repeat: no-repeat;" class="font16">' + getValue(CFG_ServidorNFS, DEF_ServidorNFS) + '|&nbsp;&nbsp;&nbsp;</td></tr>'
		+'	<tr height="33px" valign="top"><td id="Pag_Recurso_ServidorNFS_Info" class="font16"/></td></tr>'
		+'	<tr height="33px" valign="top"><td class="font16" style="background-position: 2px 12px; background-image: url(botonera.png); background-repeat: no-repeat;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Borrar<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Guardar<br/><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cancelar</td></tr>'
		+'	<tr/>'
		+'</table>';
	cPaginaVisible = "Pag_Recurso_ServidorNFS";
}

function Pag_Recurso_ServidorNFS_Close() {
	Pag_Recurso_Show(iOpcionServidorNFS);
}

function Pag_Recurso_ServidorNFS_KeyDown(keyChar) {
	var cTemp;
	var cTemp2;
	try {
		if (CharInput_KeyDown("Pag_Recurso_ServidorNFS", keyChar) == 0) {
			return 0;
		} else switch (keyChar) {
			case KEY_GREEN:
				cTemp = document.getElementById("Pag_Recurso_ServidorNFS_Valor").innerHTML;
				cTemp = cTemp.slice(0,-19);
				setValue(CFG_ServidorNFS, cTemp);
				// Para asegurarnos que se montan las rutas de red actualizamos el modo de red y eso refresca la información
				setToken(CFG_ModoRed, getToken(CFG_ModoRed, DEF_ModoRedStatic));
				Pag_Recurso_ServidorNFS_Close();
				return 0;
			case KEY_BLUE:
			case KEY_LEFT:
			case KEY_BACK:
				Pag_Recurso_ServidorNFS_Close();
				return 0;
		}
	} catch(ex) {
		alert("Pag_Recurso_ServidorNFS_KeyDown: " + ex);
	}
	return 1;
}
